// Copyright 2013 Trimble Navigation Ltd. All Rights Reserved.

#pragma once

#include "slapi/import_export/modelimporterplugin.h"
#include "source/sketchup/skpwriter/sapi/importerdefs.h"

// The purpose of the shim class is to adapt the new (SU2013+) interface to a
// plugin DLL built to work with SketchUp 2008 or earlier DLL.
class SkpWriterImporterShimPlugin : public SketchUpModelImporterInterface {
public:
  static SkpWriterImporterShimPlugin *GetInstance();
  static void DestroyInstance();

  SkpWriterImporterShimPlugin();
  ~SkpWriterImporterShimPlugin();
  
  std::string GetIdentifier() const;

  int GetFileExtensionCount() const {
    return 1;
  }

  std::string GetFileExtension(int index) const;

  std::string GetDescription() const;

  // This example does not support options
  bool SupportsOptions() const {
    return false;
  }
  virtual void ShowOptionsDialog() {}

  bool ConvertToSkp(const std::string& input_xml,
    const std::string& output_skp,
    SketchUpPluginProgressCallback* callback,
    void* reserved);

protected:
  SketchUpImporterInfo m_info;
  HMODULE m_XercesDLL;
  HMODULE m_SkpWriterDLL;
  HMODULE m_ImporterDLL;
  void LoadInfo();
  static SkpWriterImporterShimPlugin *s_pInstance;
};
