// Copyright 2010 Google Inc. All Rights Reserved.

#ifndef SKETCHUP_SOURCE_COMMON_GEOMETRY_GEOMETRY_H_
#define SKETCHUP_SOURCE_COMMON_GEOMETRY_GEOMETRY_H_

/**
 * \namespace atlast::geometry
 * \brief The geometry library.
 */
namespace atlast {
namespace geometry {
/* extern */ class CArc3d;
/* extern */ class CBezier3d;
/* extern */ class IBezier3dDraw;
/* extern */ class CBoundingBox3d;
/* extern */ class CBoundingBox2d;
/* extern */ class CCircle3d;
/* extern */ class CLine3d;
/* extern */ class IGeomFilter;
/* extern */ class CGeomFilterVolume;
/* extern */ class CGeomFilterInsideVolume;
/* extern */ class CGeomFilterCrossingVolume;
/* extern */ class CGeomFilterCrossingExpandedVolume;
/* extern */ class CGeomFilterInsideCrossingVolume;
/* extern */ class CGeomFilterInsideCrossingVolume2;
/* extern */ class CGeomFilterPlane;
/* extern */ class CGeomFilterAbovePlane;
/* extern */ class CGeomFilterBB;
/* extern */ class CGeomFilterCombined;
/* extern */ class CSegInt2d;
/* extern */ class CMatrix3x3;
/* extern */ class CPlane;
/* extern */ class CPoint2d;
/* extern */ class CPoint3d;
/* extern */ class CPolygon2d;
/* extern */ class CPolygonMesh;
/* extern */ class Quaternion;
/* extern */ class CRay3d;
/* extern */ class CSphere3d;
/* extern */ class CTransformation;
/* extern */ class CUnitVector3d;
/* extern */ class CVector3d;

/* extern */ class CPoint2f;
/* extern */ class CVector2f;
/* extern */ class CSize2f;
/* extern */ class CRect2f;
/* extern */ class CRegionMask;
}  // namespace geometry
}  // namespace atlast
#endif  // SKETCHUP_SOURCE_COMMON_GEOMETRY_GEOMETRY_H_
