// Copyright 2010 Google Inc. All Rights Reserved.
#ifndef SKETCHUP_SOURCE_COMMON_UTILS_UNICHAR_H_
#define SKETCHUP_SOURCE_COMMON_UTILS_UNICHAR_H_

#include <stdio.h>
#include <stdlib.h>

#ifndef UNICHAR_DEFINED
#if defined(__APPLE__) || defined(__LINUX__)
typedef unsigned short unichar;
#else
typedef wchar_t unichar;
#define UNICHAR_DEFINED
#endif
typedef unichar UNICHAR;
#endif


#define UEOF EOF

#if defined(__APPLE__) || defined(__LINUX__)

#ifdef __cplusplus
extern "C"
{
#endif

extern size_t ustrlen(const UNICHAR* s);
extern UNICHAR* ustrcpy(UNICHAR *s1, const UNICHAR *s2);
extern UNICHAR* ustrcat(UNICHAR *s1, const UNICHAR *s2);
extern int ustrcmp(const UNICHAR *s1, const UNICHAR *s2);
extern UNICHAR* ustrchr(const UNICHAR *s1, UNICHAR c);
extern size_t ustrcspn(const UNICHAR *s1, const UNICHAR *s2);
extern UNICHAR* ustrncat(UNICHAR *s1, const UNICHAR *s2, size_t n);
extern int ustrncmp(const UNICHAR *s1, const UNICHAR *s2, size_t n);
extern UNICHAR* ustrncpy(UNICHAR *s1, const UNICHAR *s2, size_t n);
extern UNICHAR* ustrpbrk(const UNICHAR *s1, const UNICHAR *s2);
extern UNICHAR* ustrrchr(const UNICHAR *s, UNICHAR c);
extern size_t ustrspn(const UNICHAR *s1, const UNICHAR *s2);
extern UNICHAR* ustrstr(const UNICHAR *s1, const UNICHAR *s2);
extern UNICHAR* umemset(UNICHAR* s, UNICHAR c, size_t n);
extern UNICHAR* umemchr(const UNICHAR* s, UNICHAR c, size_t n);

#ifdef __cplusplus
}  // End of extern "C"
#endif

#endif  // __APPLE__ || __LINUX__

#endif  // SKETCHUP_SOURCE_COMMON_UTILS_UNICHAR_H_
