// Copyright 2010 Google Inc. All Rights Reserved.
#ifndef SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_APPLICATIONFACTORY_H__
#define SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_APPLICATIONFACTORY_H__

#include "source/sketchup/skpwriter/sapi/defs.h"

namespace atlast {
namespace sketchup {

class IApplication;

namespace ApplicationFactory {
/**
 * This method must be defined by any implementation of the SketchUp API.
 *
 * Its usage is along the lines of
 * <code>
 *    sketchup::IApplication pApp = sketchup::ApplicationFactory::GetApplication();
 * </code>
 */
extern _declspec(dllexport) IApplication* GetApplication();
}

}  // end namespace sketchup
}  // end namespace atlast

#endif  // SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_APPLICATIONFACTORY_H__
