// Copyright 2010 Google Inc. All Rights Reserved.
#ifndef SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_IATTRIBUTEDICTIONARYENTRY_H_
#define SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_IATTRIBUTEDICTIONARYENTRY_H_

#if _MSC_VER > 1000
#pragma once
#endif  // _MSC_VER > 1000

#include "source/sketchup/skpwriter/sapi/ientity.h"
#include "source/sketchup/utils/typedvalue.h"  // SketchUp
#include "source/common/utils/ustring.h"
namespace atlast {
namespace sketchup {

/**
 * @interface ISketchUpAttributeDictionaryEntry
 * @brief A single entry in an AttributeDictionary.
 */
class ISketchUpAttributeDictionaryEntry :
  public ISketchUpEntity {
public:
  typedef enum {
    Vector      = 1,
    Point       = 2,
    UnitVector  = 3,
  } ValueType;

  virtual atlast::utils::CTypedValue GetValue() const = 0;
  virtual AtLastUstring GetName() const = 0;
};
}
}

#endif  // SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_IATTRIBUTEDICTIONARYENTRY_H_
