// Copyright 2010 Google Inc. All Rights Reserved.
#ifndef SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_ICURVE_H_
#define SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_ICURVE_H_

#if _MSC_VER > 1000
#pragma once
#endif  // _MSC_VER > 1000

#include "source/sketchup/skpwriter/sapi/idrawingelement.h"

namespace atlast {
namespace sketchup {
class ISketchUpEdge;

/**
 * @interface ISketchUpCurve
 * @brief A <i>curve</i> is the base class for the 2-dimensional
 * objects that can be created in SketchUp.
 *
 * @see ISketchUpArc
 * @see ISketchUpLineSegment
 * @see ISketchUpPolyline
 */
class ISketchUpCurve :
  public ISketchUpDrawingElement {
public:
  /**
   * @brief Retrieves the edges associated with this curve.
   * @return The Edges of this curve.
   */
  virtual ISketchUpEdgeVectorPtr GetEdges() const = 0;
};
}
}
#endif  // SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_ICURVE_H_
