// Copyright 2010 Google Inc. All Rights Reserved.
#ifndef SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_IGEOMETRICELEMENT_H_
#define SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_IGEOMETRICELEMENT_H_
#pragma once

#include "source/sketchup/skpwriter/sapi/ientity.h"

namespace atlast {
namespace sketchup {

class ISketchUpLayer;
class ISketchUpMaterial;

/**
 * @interface ISketchUpGeometricElement
 * @brief Used to identify those objects which are
 * more than an ISketchUpEntity, but less than an
 * ISketchUpDrawingElement.  The ISketchUpVertex is the
 * quintessential example.
 */
class ISketchUpGeometricElement : public ISketchUpEntity {
 public:

  virtual atlast::geometry::CBoundingBox3d GetBoundingBox() const = 0;
};
}
}
#endif  // SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_IGEOMETRICELEMENT_H_
