// Copyright 2010 Google Inc. All Rights Reserved.
#ifndef SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_ILOOP_H_
#define SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_ILOOP_H_

#if _MSC_VER > 1000
#pragma once
#endif  // _MSC_VER > 1000

#include "source/sketchup/skpwriter/sapi/ientity.h"
#include "source/sketchup/skpwriter/sapi/iedge.h"  // for the vector
#include "source/sketchup/skpwriter/sapi/ivertex.h"  // for the vector

namespace atlast {
namespace sketchup {
class ISketchUpFace;

class ISketchUpLoop : public ISketchUpEntity {
 public:
  /**
   * Returns the edges (in order) of the bounding
   * edges. These edges might not be oriented correctly-
   * for that, use EdgeUses.
   */
  virtual ISketchUpEdgeVectorPtr GetEdges() const = 0;

  /**
   * Get the face associated with this loop.
   */
  virtual ISketchUpFacePtr GetFace() const = 0;

  /**
   * Get the (ordered) vertices for the edges defining this
   * loop.
   */
  virtual ISketchUpVertexVectorPtr GetVertices() const = 0;

  virtual bool IsOuter() const = 0;

  /**
   * Returns the edgeuses (in order) of the bounding
   * edges.
   */
  virtual ISketchUpEdgeUseVectorPtr GetEdgeLoops() const = 0;
};
}
}
#endif  // SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_ILOOP_H_
