// Copyright 2010 Google Inc. All Rights Reserved.
#ifndef SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_IMATERIAL_H_
#define SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_IMATERIAL_H_

#if _MSC_VER > 1000
#pragma once
#endif  // _MSC_VER > 1000

#include "source/sketchup/skpwriter/sapi/ientity.h"
#include "source/common/utils/ustring.h"  // AtLast


namespace atlast {
namespace sketchup {
class ISketchUpTexture;

class ISketchUpMaterial : public ISketchUpEntity {
 public:
  // Textures
  /**
   * The pColors is a matrix of size [width][height], and so will be traversed
   * 0..width-1, 0..height-1.
   */
  virtual ISketchUpTexturePtr CreateTexture(int width, int height,
                                            int bitsPerPixel,
                                            DWORD **pColors) = 0;
  virtual ISketchUpTexturePtr CreateTexture(int width, int height,
                                            int bitsPerPixel,
                                            BYTE *pColors) = 0;
  virtual ISketchUpTexturePtr CreateTexture(LPCWSTR textureFilePath) = 0;

  // color
  virtual void SetColor(unsigned char red, unsigned char green,
                        unsigned char blue, unsigned char alpha) = 0;

  // transparency
  virtual void SetTransparency(double trans) = 0;

  // name
  virtual AtLastUstring GetName() const = 0;
  virtual void SetName(LPWSTR name) = 0;
};
}
}
#endif  // SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_IMATERIAL_H_
