// Copyright 2010 Google Inc. All Rights Reserved.
#ifndef SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_IMPORTERDEFS_H_
#define SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_IMPORTERDEFS_H_

#pragma once

// There are a couple of required methods
//      bool GetImporterInfo( struct SketchUpImporterInfo* )
//      int  ConvertToSkp( const wchar_t* inFile, const wchar_t* outFile, int major, int minor, int build )
#define GETIMPORTERINFO _T("GetImporterInfo")
#define CONVERTTOSKP    _T("ConvertToSkp")
#define DOOPTIONS       _T("DoOptions")
#define SHOWSUMMARY     _T("ShowSummary")
#define CLEANUP         _T("CleanUpModule")

#ifdef __LINUX__
#include "source/sketchup/macwin/CString.h"
#endif

struct SketchUpImporterInfo {
  WCHAR description[1024];
  WCHAR extensions[1024];
  WCHAR aboutDescription[1024];
  bool supportsOptions;
  bool preserveGeometry;
  WCHAR identifier[512];
};

typedef bool (*GetImporterInfoFunc)(SketchUpImporterInfo*);
typedef int (*ConvertToSkpFunc)(const WCHAR *inFile, const wchar_t *outFile,
                                int major, int minor, int build);
typedef void (*DoOptionsFunc)();
typedef void (*ShowSummaryFunc)();
typedef void (*CleanUpFunc)();

typedef enum {
  kImportSuccess = 0,
  kImportFail = 1,
  kImportCanceled = 2,
  kImporterNotFound = 3,
  kImportFileNotFound = 4,
  kSketchUpVersionNotSupported = 5,
} ImportStatus;

#endif  // SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_IMPORTERDEFS_H_
