// Copyright 2010 Google Inc. All Rights Reserved.
#ifndef SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_IOBJECT_H_
#define SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_IOBJECT_H_

#if _MSC_VER > 1000
#pragma once
#endif  // _MSC_VER > 1000

#include "source/sketchup/skpwriter/sapi/defs.h"
#include "source/sketchup/skpwriter/sapi/isketchupwriterexception.h"

namespace atlast {
namespace sketchup {

/**
 * @interface ISketchUpObject
 * @brief The base class for all object in the SAPI, or
 * SketchUp, API.
 */
class ISketchUpObject : public atlast::utils::IRefCountObject {
 public:

  /**
   * @brief every object knows whether it is valid.
   * @return true iff this is a valid object.
   */
  virtual bool IsValid() const = 0;
 protected:
  ISketchUpObject() {}

  virtual ~ISketchUpObject() {}
};
}
}
#endif  // SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_IOBJECT_H_
