// Copyright 2010 Google Inc. All Rights Reserved.
#ifndef SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_ISELECTIONSET_H_
#define SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_ISELECTIONSET_H_

#pragma once

#include "source/sketchup/skpwriter/sapi/ientity.h"

namespace atlast { namespace sketchup {

class /*interface */ ISketchUpSelectionSet : public ISketchUpEntity {
 public:
    virtual unsigned long GetCount() const = 0;
    virtual ISketchUpEntityPtr GetAt(unsigned long i) const = 0;
    virtual bool IsEmpty() const = 0;
    virtual bool Contains(const ISketchUpEntity* pEntity) const = 0;

    virtual void Clear() = 0;
    virtual void Add(ISketchUpEntity* pEntity) = 0;


    virtual void DeleteAll() = 0;

 protected:
    virtual ~ISketchUpSelectionSet() {}
};
}
}
#endif  // SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_ISELECTIONSET_H_
