// Copyright 2010 Google Inc. All Rights Reserved.
#ifndef SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_ITEXTURE_H_
#define SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_ITEXTURE_H_

#if _MSC_VER > 1000
#pragma once
#endif  // _MSC_VER > 1000

#include "source/sketchup/skpwriter/sapi/ientity.h"
#include "source/common/utils/color.h"
#include "source/common/utils/ustring.h"

namespace atlast {
namespace sketchup {
class ISketchUpTexture : public ISketchUpEntity {
 public:
  virtual void SetXScale(double scale) = 0;
  virtual double GetXScale() const = 0;

  virtual void SetYScale(double scale) = 0;
  virtual double GetYScale() const = 0;

  virtual atlast::utils::CColor GetAverageColor() const = 0;
  virtual void SetAverageColor(const atlast::utils::CColor &color) = 0;

  // Width and height of image
  virtual int GetWidth() const = 0;
  virtual int GetHeight() const = 0;

  /**
   * \brief Set the name of the texture.
   * \param name The name of the texture.
   */
  virtual void SetTextureName(LPCWSTR name) = 0;

  /**
   * \brief Retrieves the name of the texture.
   * \retval The name of the texture.
   */
  virtual AtLastUstring GetTextureName() const = 0;
};
}
}
#endif  // SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_ITEXTURE_H_
