// Copyright 2010 Google Inc. All Rights Reserved.
#ifndef SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_ITOOL_H_
#define SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_ITOOL_H_

#if _MSC_VER > 1000
#pragma once
#endif  // _MSC_VER > 1000

#include "source/sketchup/skpwriter/sapi/defs.h"
namespace atlast { namespace sketchup {
class ISketchUpView;

class /* interface */ ISketchUpTool : public atlast::utils::IRefCountObject {
 public:
    typedef enum  {
        kCancelToolEscape = 0,
        kCancelToolReset  = 1,
        kCancelToolUndo   = 2
    }SkpCancelToolReason;

 public:
    virtual ~ISketchUpTool() {}
 public:
    virtual void Activate() {}
    virtual void Deactivate() {}

    // Mouse event handlers
    virtual void OnLButtonDown (UINT nFlags, long x, long y, ISketchUpView* pView) {}
    virtual void OnLButtonUp (UINT nFlags, long x, long y, ISketchUpView* pView) {}
    virtual void OnLButtonDblClk(UINT nFlags, long x, long y, ISketchUpView* pView) {}
    virtual void OnRButtonDown  (UINT nFlags, long x, long y, ISketchUpView* pView) {}
    virtual void OnRButtonUp    (UINT nFlags, long x, long y, ISketchUpView* pView) {}
    virtual void OnRButtonDblClk(UINT nFlags, long x, long y, ISketchUpView* pView) {}
    virtual void OnMButtonDown  (UINT nFlags, long x, long y, ISketchUpView* pView) {}
    virtual void OnMButtonUp    (UINT nFlags, long x, long y, ISketchUpView* pView) {}
    virtual void OnMButtonDblClk(UINT nFlags, long x, long y, ISketchUpView* pView) {}
    virtual void OnMouseMove    (UINT nFlags, long x, long y, ISketchUpView* pView) {}
    /**
     * Display the right button context menu for this tool
     * @return true if it handled the context menu.  Otherwise returns false.
     */
    virtual bool DoContextMenu(UINT nFlags, long x, long y, ISketchUpView* pView) { return false; }

    // Mouse enters or leaves view
    virtual void OnMouseEnter(ISketchUpView* pView) {}
    virtual void OnMouseLeave(ISketchUpView* pView) {}

    // Key press/release event handlers.  Return true if the tool handles the
    // event and it should NOT be handled by the caller.  Default returns false.
    virtual bool OnKeyDown  (UINT nChar,UINT nRepCnt, UINT nFlags, ISketchUpView* pView) { return false; }
    virtual bool OnKeyUp    (UINT nChar,UINT nRepCtn, UINT nFlags, ISketchUpView* pView) { return false; }

    // Used to do any special drawing needed by the tool
    virtual void Draw(ISketchUpView* pView) {}

    // Handle text that the user typed into the status bar pane
    virtual void OnUserText(LPCWSTR text) {}
    // Does the tool allow for typed input (in the VCB)?
    virtual bool GetTypedInputEnabled() const { return false; }

    // Cancel the current operation
    virtual void OnCancel(SkpCancelToolReason reason) {}

    // Called when another tool is pushed onto the tool stack to
    // replace this one as the active one, then again when the
    // other tool is popped off the stack and this one becoes
    // active again
    virtual bool CanBeSuspended() { return false; }
    virtual void Suspend() {}
    virtual void Resume()  {}
};
}
}
#endif  // SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_ITOOL_H_
