// Copyright 2010 Google Inc. All Rights Reserved.
#ifndef SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_MODELFACTORY_H__
#define SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_MODELFACTORY_H__

namespace atlast {
namespace sketchup {

class IModel;

namespace ModelFactory {
    /**
     * This method must be defined by any implementation of the SketchUp API.
     *
     * Its usage is along the lines of
     * <code>
     *    sketchup::IModel *Model = sketchup::ModelFactory::CreateModel();
     * </code>
     */
    extern _declspec(dllexport) IModel* CreateModel();
}

}  // end namespace sketchup
}  // end namespace atlast

#endif  // SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_MODELFACTORY_H__
