// Copyright 2010 Google Inc. All Rights Reserved.
#ifndef SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_SAPIUTILS_H_
#define SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_SAPIUTILS_H_

#pragma once
#if (defined _WINDOWS) || (defined __LINUX__)
#include "source/sketchup/skpwriter/sapi/iapplication.h"
#include "source/sketchup/skpwriter/sapi/imodel.h"
#include "source/sketchup/skpwriter/sapi/ivertex.h"
#include "source/sketchup/skpwriter/sapi/iedge.h"
#include "source/sketchup/skpwriter/sapi/iedgeuse.h"
#include "source/sketchup/skpwriter/sapi/ilayer.h"
#include "source/sketchup/skpwriter/sapi/iattributedictionary.h"
#include "source/sketchup/skpwriter/sapi/iattributedictionaryentry.h"
#include "source/sketchup/skpwriter/sapi/icomponentinstance.h"
#include "source/sketchup/skpwriter/sapi/icomponentdefinition.h"
#include "source/sketchup/skpwriter/sapi/iface.h"
#include "source/sketchup/skpwriter/sapi/ipolyline.h"
#include "source/sketchup/skpwriter/sapi/ioptionsprovider.h"
#include "source/sketchup/skpwriter/sapi/ioptionsmanager.h"
#include "source/sketchup/skpwriter/sapi/itexture.h"
#include "source/sketchup/skpwriter/sapi/imaterial.h"
#include "source/sketchup/skpwriter/sapi/iarc.h"
#include "source/sketchup/skpwriter/sapi/ilinesegment.h"
#include "source/sketchup/skpwriter/sapi/iloop.h"
#include "source/sketchup/skpwriter/sapi/itool.h"
#include "source/sketchup/skpwriter/sapi/iview.h"
#include "source/sketchup/skpwriter/sapi/idocument.h"
#include "source/sketchup/skpwriter/sapi/iselectionset.h"
#include "source/sketchup/skpwriter/sapi/iinputpoint.h"
#include "source/sketchup/skpwriter/sapi/imenu.h"
#include "source/sketchup/skpwriter/sapi/imenucallback.h"
#include "source/sketchup/skpwriter/sapi/icontroller.h"
#include "source/sketchup/skpwriter/sapi/ilengthformatter.h"
#include "source/sketchup/skpwriter/sapi/iangleformatter.h"
#include "source/sketchup/skpwriter/sapi/igroup.h"
#include "source/sketchup/skpwriter/sapi/ipickhelper.h"
#include "source/sketchup/skpwriter/sapi/icomponentbehavior.h"
#include "source/sketchup/skpwriter/sapi/ipage.h"
#include "source/sketchup/skpwriter/sapi/ipages.h"
#include "source/sketchup/skpwriter/sapi/imaterials.h"
#include "source/sketchup/skpwriter/sapi/ilayers.h"
#include "source/sketchup/skpwriter/sapi/idefinitions.h"
#elif __APPLE__
#include <sapi/iapplication.h>
#include <sapi/imodel.h>
#include <sapi/ivertex.h>
#include <sapi/iedge.h>
#include <sapi/iedgeuse.h>
#include <sapi/ilayer.h>
#include <sapi/iattributedictionary.h>
#include <sapi/iattributedictionaryentry.h>
#include <sapi/icomponentinstance.h>
#include <sapi/icomponentdefinition.h>
#include <sapi/iface.h>
#include <sapi/ipolyline.h>
#include <sapi/ioptionsprovider.h>
#include <sapi/ioptionsmanager.h>
#include <sapi/itexture.h>
#include <sapi/imaterial.h>
#include <sapi/iarc.h>
#include <sapi/ilinesegment.h>
#include <sapi/iloop.h>
#include <sapi/itool.h>
#include <sapi/iview.h>
#include <sapi/idocument.h>
#include <sapi/iselectionset.h>
#include <sapi/iinputpoint.h>
#include <sapi/imenu.h>
#include <sapi/imenucallback.h>
#include <sapi/icontroller.h>
#include <sapi/ilengthformatter.h>
#include <sapi/iangleformatter.h>
#include <sapi/igroup.h>
#include <sapi/ipickhelper.h>
#include <sapi/icomponentbehavior.h>
#include <sapi/ipage.h>
#include <sapi/ipages.h>
#include <sapi/imaterials.h>
#include <sapi/ilayers.h>
#include <sapi/idefinitions.h>
#endif
#include "source/common/geometry/geometry.h"  // AtLast


#ifdef AUTO_LINK_SKETCHUP_LIBRARIES
#   ifdef _WINDOWS
#       pragma comment(lib, "Geometry.lib")
#       pragma comment(lib, "Utils.lib")
#   endif
#endif

#endif  // SKETCHUP_SOURCE_SKETCHUP_SKPWRITER_SAPI_SAPIUTILS_H_
